=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

override_dh_auto_configure:
	dh_auto_configure --verbose -- -DENABLE_STATIC=ON

%:
	dh $@ --builddirectory=build
