=== debian/watch ===
version=4
opts=pgpsigurlmangle=s/$/.sig/ https://gnupg.org/ftp/gcrypt/gpgmepp/gpgmepp@ANY_VERSION@@ARCHIVE_EXT@
