## gpgmepp 15.08.0

=== debian/changelog ===
gpgmepp (15.08.0-0ubuntu1) wily; urgency=medium

  * new upstream release

 -- Clive Johnston <clivejo@aol.com>  Wed, 26 Aug 2015 16:58:34 +0100
