## gpgmepp 15.08.1

=== debian/changelog ===
gpgmepp (15.08.1-0ubuntu1) wily; urgency=medium

  [ Clive Johnston ]
  * New upstream release (15.08.1)
  * Updating symbols files
  * Removing 4: epoch from symbols files

  [ Harald Sitter ]
  * Fix version symbols were confirmed against

 -- Clive Johnston <clivejo@aol.com>  Tue, 22 Sep 2015 16:08:04 +0100
