## gpgmepp 15.08.2

=== debian/changelog ===
gpgmepp (15.08.2-0ubuntu1) wily; urgency=medium

  * Vivid backport
  * New upstream release

 -- Scarlett Clark <sgclark@kubuntu.org>  Wed, 14 Oct 2015 11:51:00 +0100
