## gpgmepp 15.12.1

=== debian/changelog ===
gpgmepp (15.12.1-0ubuntu1) xenial; urgency=medium

  [ Clive Johnston ]
  * New upstream release

  [ Philip Muškovac ]
  * Merge with debian git master

 -- Clive Johnston <clivejo@aol.com>  Wed, 09 Mar 2016 10:24:32 +0100

gpgmepp (15.08.1-1) unstable; urgency=medium

  * New upstream release (15.08.1).

 -- Maximiliano Curia <maxy@debian.org>  Sat, 19 Sep 2015 02:45:07 +0200

gpgmepp (15.08.0-2) unstable; urgency=medium

  * Prepare release to unstable.
  * Update symbols files from buildds logs (15.08.0-1).

 -- Maximiliano Curia <maxy@debian.org>  Sun, 13 Sep 2015 15:40:14 +0200

gpgmepp (15.08.0-1) experimental; urgency=medium

  * Initial Debian release.

 -- Maximiliano Curia <maxy@debian.org>  Tue, 08 Sep 2015 01:00:36 +0200
