=== debian/control ===
--- 
+++ 
@@ -2,15 +2,15 @@
 Section: libs
 Priority: optional
 Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Uploaders: Maximiliano Curia <maxy@debian.org>
 Build-Depends: cmake (>= 2.8.12~),
                debhelper (>= 9),
                extra-cmake-modules (>= 5.12.0~),
                libboost-dev,
                libgpgme11-dev,
                pkg-kde-tools (>> 0.15.15),
-               qtbase5-dev
+               qtbase5-dev (>= 5.2.0~)
 Standards-Version: 3.9.6
-XS-Testsuite: autopkgtest
 Homepage: https://projects.kde.org/projects/kde/pim/gpgmepp
 Vcs-Browser: http://anonscm.debian.org/cgit/pkg-kde/applications/gpgmepp.git
 Vcs-Git: git://anonscm.debian.org/pkg-kde/applications/gpgmepp.git
@@ -39,9 +39,12 @@
 Section: libdevel
 Architecture: any
 Multi-Arch: foreign
-Depends: libkf5gpgmepp-pthread5 (= ${binary:Version}),
+Depends: libboost-dev,
+         libgpgme11-dev,
+         libkf5gpgmepp-pthread5 (= ${binary:Version}),
          libkf5gpgmepp5 (= ${binary:Version}),
          libkf5qgpgme5 (= ${binary:Version}),
+         qtbase5-dev (>= 5.2.0~),
          ${misc:Depends},
          ${shlibs:Depends}
 Description: c++ wrapper library for gpgme - development files
