## gpgmepp 16.04.3

=== debian/changelog ===
gpgmepp (16.04.3-2) unstable; urgency=medium

  * Use the new libgpgme-dev
  * Update symbols files

 -- Maximiliano Curia <maxy@debian.org>  Wed, 30 Nov 2016 19:32:09 +0100

gpgmepp (16.04.3-1) unstable; urgency=medium

  [ Automatic packaging ]
  * Update symbols files with the buildds results

 -- Maximiliano Curia <maxy@debian.org>  Sat, 16 Jul 2016 11:18:21 +0200

gpgmepp (16.04.2-1) unstable; urgency=medium

  [ Automatic packaging ]
  * Update symbols files with the buildds results

 -- Maximiliano Curia <maxy@debian.org>  Sat, 18 Jun 2016 08:04:39 +0200

gpgmepp (16.04.1-1) unstable; urgency=medium

  * Release to unstable.

 -- Maximiliano Curia <maxy@debian.org>  Wed, 18 May 2016 18:07:35 +0200

gpgmepp (16.04.0-1) experimental; urgency=medium

  [ Automatic packaging ]
  * Bump Standards-Version to 3.9.8
  * Update symbols files from buildds logs (15.12.0-2).
  * Add a .gitattributes file to use dpkg-mergechangelogs
  * Update build-deps and deps with the info from cmake
  * Update symbols files.
  * UNRELEASED

  [ Maximiliano Curia ]
  * Replace the "Historical name" ddeb-migration by its "Modern, clearer" replacement dbgsym-migration.
  * Add upstream metadata (DEP-12)
  * debian/control: Update Vcs-Browser and Vcs-Git fields
  * Update install files

 -- Maximiliano Curia <maxy@debian.org>  Thu, 05 May 2016 09:01:23 +0200

gpgmepp (15.12.0-2) experimental; urgency=medium

  * Update symbols files from buildds logs (15.12.0-1).

 -- Maximiliano Curia <maxy@debian.org>  Tue, 02 Feb 2016 16:01:14 +0100

gpgmepp (15.12.0-1) experimental; urgency=medium

  * New upstream release (15.12.0).

 -- Maximiliano Curia <maxy@debian.org>  Mon, 01 Feb 2016 10:23:06 +0100
