=== debian/control ===
--- 
+++ 
@@ -5,15 +5,15 @@
 Uploaders: Maximiliano Curia <maxy@debian.org>
 Build-Depends: cmake (>= 2.8.12~),
                debhelper (>= 9),
-               extra-cmake-modules (>= 5.12.0~),
+               extra-cmake-modules (>= 5.19.0~),
                libboost-dev,
-               libgpgme11-dev,
+               libgpgme-dev,
                pkg-kde-tools (>> 0.15.15),
-               qtbase5-dev (>= 5.2.0~)
-Standards-Version: 3.9.6
+               qtbase5-dev (>= 5.4.0~)
+Standards-Version: 3.9.8
 Homepage: https://projects.kde.org/projects/kde/pim/gpgmepp
-Vcs-Browser: http://anonscm.debian.org/cgit/pkg-kde/applications/gpgmepp.git
-Vcs-Git: git://anonscm.debian.org/pkg-kde/applications/gpgmepp.git
+Vcs-Browser: https://anonscm.debian.org/git/pkg-kde/applications/gpgmepp.git
+Vcs-Git: https://anonscm.debian.org/git/pkg-kde/applications/gpgmepp.git
 
 Package: libkf5gpgmepp5
 Architecture: any
@@ -40,11 +40,11 @@
 Architecture: any
 Multi-Arch: foreign
 Depends: libboost-dev,
-         libgpgme11-dev,
+         libgpgme-dev,
          libkf5gpgmepp-pthread5 (= ${binary:Version}),
          libkf5gpgmepp5 (= ${binary:Version}),
          libkf5qgpgme5 (= ${binary:Version}),
-         qtbase5-dev (>= 5.2.0~),
+         qtbase5-dev (>= 5.4.0~),
          ${misc:Depends},
          ${shlibs:Depends}
 Description: c++ wrapper library for gpgme - development files
@@ -63,16 +63,3 @@
  and some Qt datatypes (e.g. QByteArray).
  .
  This package is part of the KDE Development Platform PIM libraries module.
-
-Package: gpgmepp-dbg
-Section: debug
-Priority: extra
-Architecture: any
-Multi-Arch: same
-Depends: libkf5gpgmepp5 (= ${binary:Version}) | libkf5gpgmepp-pthread5 (= ${binary:Version}) | libkf5qgpgme5 (= ${binary:Version}),
-         ${misc:Depends}
-Description: c++ wrapper library for gpgme - debug symbols
- GpgME++ is a C++ wrapper (or C++ bindings) for the GnuPG project's gpgme
- (GnuPG Made Easy) library.
- .
- This package contains the debug symbols.
